Subject: bug#9839: compile with gdb running

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Oct 2011 16:15:50 -0400

>> I don't understand what "allows the I/O buffer to work when the inferior
>> is restarted" means.
> No, me neither. :) The ChangeLog says it slightly differently:
>    * process.c (wait_reading_process_output): Keep the descriptor
>    when pty is used by a non-child process, e.g., in I/O buffer of
>    GDB this allows inferior to be restarted.

I saw that as well, but it doesn't help me understand.  I strongly
suspect that the real problem was elsewhere.  Let's revert this change
and see what breaks so we can try and fix it "right".

        Stefan